#!/bin/bash
this=`basename $0`
this=`echo $0 | sed -e 's/\/'$this'$//'`
. /home/native/.profile
GAMES=/mmc/mmca1/games
export QTDIR=/usr/lib/ezx
export HOME=`pwd`
export DATA_DIR=$GAMES/data/quake

if [ -f $GAMES/gamesrc ]; then
  . $GAMES/gamesrc
else
  export LD_LIBRARY_PATH=$GAMES/lib:$LD_LIBRARY_PATH

  # uncomment next line if you wanna 270-degrees clockwise rotated screen 
  #export SDL_QT_INVERT_ROTATION=1
fi

myfile=`basename $0`
mypath=`echo $0 | sed -e 's/'$myfile'$//g'`
MyPath=/mmc/mmca1/games/data/quake/
rm -f ${mypath}mylist.txt
ls /mmc/mmca1/games/data/quake/ >> ${mypath}mylist.txt
cat ${mypath}mylist.txt | sed "s|${MyPath}||g" > ${mypath}mylist.txt
cat ${mypath}mylist.txt | sed -e 's/^/ -item /g' -e 's/$//g' > ${mypath}mylist.txt
cat ${mypath}mylist.txt | sed -e ':a;$!N;s/\n//;ta;' -e 's/$//g' > ${mypath}mylist.txt
itemlist=`cat ${mypath}mylist.txt`
MYITEM=`${mypath}inputbox -t "<h3>Quake Mod Launcher</h3>" -l "Select mod to play" -getitemtext $itemlist | sed -n s/^ItemText=//gp`
if [ "$MYITEM" = "" ]
then
rm -f ${mypath}mylist.txt
exit
fi
exec $this/quake -cachedir - -winsize 320 240 -basedir $DATA_DIR -game $MYITEM $*
rm -f ${mypath}mylist.txt
exit
fi